package com.os.mes.api.domain;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;
import java.util.List;

/**
 * erp生产计划管理个人详情接口
 * 
 * @author Yinq
 * @date 2024-07-02
 */
public class ERPPersonalDetails implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 应用代码
     */
    @JsonProperty(value = "AppCode")
    private String AppCode;

    /**
     * 控制器
     */
    @JsonProperty(value = "Controller")
    private String Controller;

    /**
     * 动作名称
     */
    @JsonProperty(value = "ActionName")
    private String ActionName;

    /** 生产计划流水号 */
    @JsonProperty(value = "plancode")
    private String plancode;

    /** 员工详细信息 */
    @JsonProperty(value = "userdatas")
    private List<ERPPersonalDetail> userdatas;

    public String getAppCode() {
        return AppCode;
    }

    public void setAppCode(String appCode) {
        AppCode = appCode;
    }

    public String getController() {
        return Controller;
    }

    public void setController(String controller) {
        Controller = controller;
    }

    public String getActionName() {
        return ActionName;
    }

    public void setActionName(String actionName) {
        ActionName = actionName;
    }

    public String getPlancode() {
        return plancode;
    }

    public void setPlancode(String plancode) {
        this.plancode = plancode;
    }

    public List<ERPPersonalDetail> getUserdatas() {
        return userdatas;
    }

    public void setUserdatas(List<ERPPersonalDetail> userdatas) {
        this.userdatas = userdatas;
    }

    @Override
    public String toString() {
        return "ERPPersonalDetails{" +
                "AppCode='" + AppCode + '\'' +
                ", Controller='" + Controller + '\'' +
                ", ActionName='" + ActionName + '\'' +
                ", plancode='" + plancode + '\'' +
                ", userdatas=" + userdatas +
                '}';
    }
}
